%define anolis_release 1
%global debug_package %{nil}

%global tarball_version %%(echo %{version} | tr '~' '.')

Name:           gsettings-desktop-schemas
Version:        44~beta
Release:        %{anolis_release}%{?dist}
Summary:        A collection of GSettings schemas

License:        LGPLv2+
# no homepage exists for this component
URL:            https://gitlab.gnome.org/GNOME/gsettings-desktop-schemas
Source0:        https://download.gnome.org/sources/%{name}/44/%{name}-%{tarball_version}.tar.gz

BuildRequires:  gettext
BuildRequires:  glib2-devel >= 2.31.0
BuildRequires:  gobject-introspection-devel
BuildRequires:  meson

Requires: glib2 >= 2.31.0

# Recommend the default fonts set in the schemas
Recommends: font(cantarell)
Recommends: font(sourcecodepro)

%description
gsettings-desktop-schemas contains a collection of GSettings schemas for
settings shared by various components of a desktop.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries
and header files for developing applications that use %{name}.


%prep
%autosetup -p1 -n %{name}-%{tarball_version}


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name} --with-gnome


%check
# Test that the schemas compile
glib-compile-schemas --dry-run --strict %{buildroot}%{_datadir}/glib-2.0/schemas


%files -f %{name}.lang
%license COPYING
%{_datadir}/glib-2.0/schemas/*
%{_datadir}/GConf/gsettings/gsettings-desktop-schemas.convert
%{_datadir}/GConf/gsettings/wm-schemas.convert
%{_libdir}/girepository-1.0/GDesktopEnums-3.0.typelib

%files doc
%doc AUTHORS MAINTAINERS NEWS README 

%files devel
%doc HACKING
%{_includedir}/*
%{_datadir}/pkgconfig/*
%{_datadir}/gir-1.0/GDesktopEnums-3.0.gir

%changelog
* Tue Mar 07 2023 happy_orange <songnannan@linux.alibaba.com> - 44~beta-1
- update to 44~beta

* Wed Oct 26 2022 mgb01105731 <mgb01105731@alibaba-inc.com> - 42.0-2
- add doc package

* Mon Apr 18 2022 gcdota930915 <taifu.gc@alibaba-inc.com> - 42.0-1
- Init from upstream version 42.0

